{% getparam 'mobile' as mobile_param %}

{% if mobile_param %}
  {% assign mobile = true %}
{% endif %}

{% head %}
  <title>Entrar - {{ current_shop.name }}</title>
  <meta content="Logar ou cadastrar para acessar a área de pedidos" name="description"/>
  <link href="pages/login.css" inline rel="stylesheet"/>
{% endhead %}

{% assign component_version = '6' %}
{% if current_shop.settings contains 'component_version_buyer_login' %}
  {% assign settings_version = current_shop.settings.component_version_buyer_login %}
  {% if settings_version != blank %}
    {% assign component_version = settings_version %}
  {% endif %}
{% endif %}

{% body %}
  <script src="{{ 'buyer-login.v[version].js' | replace: '[version]', component_version | component_path }}"></script>
  <script src="{{ 'login.js' | javascript_path }}"></script>
{% endbody %}

{% comment %} ========== {% endcomment %}

<section class="section login container">
  <div class="login-header">
    <h1 class="title">Conecte-se aqui</h1>
  </div>

  <div
    id="buyer-login-root"
    style="width: 400px; max-width: 100%; padding: 0 10px; margin: 0 auto; margin-top: 20px"
  ></div>
</section>

{% assign img_logo = '' %}
{% load_shop_images position: "logo" %}

{% if loaded_shop_images.size > 0 %}
  {% assign img_logo = loaded_shop_images | first | map: 'url' | first %}
{% endif %}

<script>
  window.addEventListener('DOMContentLoaded', () => {
    new window.Vnda.Component.BuyerLogin({
      onSuccess: () => window.location.assign('/conta'),
      mode: 'static',
      storeLogo: '{{ img_logo }}',
    }).renderPartial(document.getElementById('buyer-login-root'))
  })
</script>
